Bug 187584 - [PATCH] devel/libvirt: Add bhyve to Options and pkg-plist
[PATCH] devel/libvirt: Add bhyve to Options and pkg-plist
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: jgh@FreeBSD.org
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-14 17:50 UTC by xmj
Modified: 2014-04-07 20:50 UTC (History)
1 user (show)

See Also:


Attachments
libvirt-1.2.2.patch (13.44 KB, patch)
2014-03-14 17:50 UTC, xmj
no flags Details | Diff
libvirt-1.2.2.patch (2.26 KB, patch)
2014-03-15 14:48 UTC, xmj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description xmj 2014-03-14 17:50:00 UTC
- Add bhyve to option and pkg-plist.

  While bhyve will be autodetected, unless this option is present building
  packages will not work properly -- it'll detect orphans on systems with 10.0
  or later, and files that can't be packaged on <10.0 installs.

Port maintainer (jgh@FreeBSD.org) is cc'd.

port test: ok
testport: ok
redports: https://redports.org/buildarchive/20140314170501-30654/

Generated with FreeBSD Port Tools 1.00.2014.03.12 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-14 17:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 xmj 2014-03-15 14:48:26 UTC
Description:
- Patch without PORTDOCS bit, as asked for on IRC.

Port maintainer (jgh@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.03.12 (mode: change, diff: SVN)
Comment 3 dfilter freebsd_committer 2014-04-07 20:48:56 UTC
Author: jgh
Date: Mon Apr  7 19:48:53 2014
New Revision: 350536
URL: http://svnweb.freebsd.org/changeset/ports/350536
QAT: https://qat.redports.org/buildarchive/r350536/

Log:
  - update to 1.2.3
  - support bhyve [1]
  
  PR:	187584 (based on)
  Submitted by:	xmj@chaot.net
  Changes:	http://libvirt.org/news.html

Deleted:
  head/devel/libvirt/files/patch-src__Makefile.in
Modified:
  head/devel/libvirt/Makefile
  head/devel/libvirt/distinfo
  head/devel/libvirt/pkg-plist

Modified: head/devel/libvirt/Makefile
==============================================================================
--- head/devel/libvirt/Makefile	Mon Apr  7 19:16:46 2014	(r350535)
+++ head/devel/libvirt/Makefile	Mon Apr  7 19:48:53 2014	(r350536)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	libvirt
-PORTVERSION=	1.2.2
+PORTVERSION=	1.2.3
 CATEGORIES=	devel
 MASTER_SITES=	http://libvirt.org/sources/ \
 		ftp://libvirt.org/libvirt/
@@ -18,8 +18,10 @@ LIB_DEPENDS=	libcurl.so:${PORTSDIR}/ftp/
 		libgnutls.so:${PORTSDIR}/security/gnutls \
 		libssh2.so:${PORTSDIR}/security/libssh2
 
-OPTIONS_DEFINE=	QEMU DOCS NLS
+OPTIONS_DEFINE=	DOCS NLS QEMU
+OPTIONS_DEFINE_amd64=	BHYVE
 QEMU_DESC=	QEMU driver
+BHYVE_DESC=	bhyve driver
 
 OPTIONS_SUB=	yes
 
@@ -29,6 +31,8 @@ QEMU_LIB_DEPENDS=	libyajl.so:${PORTSDIR}
 QEMU_RUN_DEPENDS=	dmidecode:${PORTSDIR}/sysutils/dmidecode \
 			qemu-io:${PORTSDIR}/emulators/qemu-devel
 
+BHYVE_CONFIGURE_WITH=	bhyve
+
 NLS_USES=	gettext
 NLS_CONFIGURE_ENABLE=	nls
 NLS_CONFIGURE_ON=	--with-libintl-prefix=${LOCALBASE}
@@ -75,6 +79,11 @@ STRIP_FILES=	libvirt.so.${SHLIB_VER} \
 
 .include <bsd.port.options.mk>
 
+#work around an options bug (thanks mat@)
+.if ${ARCH} != amd64
+PLIST_SUB+=	BHYVE="@comment "
+.endif
+
 post-patch:
 .if ${OSVERSION} < 900000
 	@${REINPLACE_CMD} -e 's|-Wmissing-include-dirs||' \

Modified: head/devel/libvirt/distinfo
==============================================================================
--- head/devel/libvirt/distinfo	Mon Apr  7 19:16:46 2014	(r350535)
+++ head/devel/libvirt/distinfo	Mon Apr  7 19:48:53 2014	(r350536)
@@ -1,2 +1,2 @@
-SHA256 (libvirt-1.2.2.tar.gz) = a48377e307c5c21b67e43db99af909a23c33aff8cbbaa3361fd389eb047cbbc3
-SIZE (libvirt-1.2.2.tar.gz) = 28340039
+SHA256 (libvirt-1.2.3.tar.gz) = b489d1a29c6166643d34b72795a89b03c6ac775cdaeadb6aa86fc1a982c02e31
+SIZE (libvirt-1.2.3.tar.gz) = 28605530

Modified: head/devel/libvirt/pkg-plist
==============================================================================
--- head/devel/libvirt/pkg-plist	Mon Apr  7 19:16:46 2014	(r350535)
+++ head/devel/libvirt/pkg-plist	Mon Apr  7 19:48:53 2014	(r350536)
@@ -159,6 +159,9 @@ share/augeas/lenses/tests/test_libvirtd.
 %%DOCSDIR%%%%PORTVERSION%%/html/uri.html
 %%DOCSDIR%%%%PORTVERSION%%/html/virshcmdref.html
 %%DOCSDIR%%%%PORTVERSION%%/html/windows.html
+%%DOCSDIR%%%%PORTVERSION%%/html/drvbhyve.html
+%%DOCSDIR%%%%PORTVERSION%%/html/governance.html
+%%DOCSDIR%%%%PORTVERSION%%/html/internals/oomtesting.html
 share/gtk-doc/html/libvirt/general.html
 share/gtk-doc/html/libvirt/home.png
 share/gtk-doc/html/libvirt/index.html
@@ -266,6 +269,8 @@ share/gtk-doc/html/libvirt/up.png
 %%NLS%%share/locale/zu/LC_MESSAGES/libvirt.mo
 %%QEMU%%lib/libvirt/connection-driver/libvirt_driver_qemu.so
 %%QEMU%%lib/libvirt/connection-driver/libvirt_driver_qemu.la
+%%BHYVE%%lib/libvirt/connection-driver/libvirt_driver_bhyve.la
+%%BHYVE%%lib/libvirt/connection-driver/libvirt_driver_bhyve.so
 lib/libvirt/connection-driver/libvirt_driver_secret.so
 lib/libvirt/connection-driver/libvirt_driver_secret.la
 lib/libvirt/connection-driver/libvirt_driver_storage.so
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 jgh@FreeBSD.org freebsd_committer 2014-04-07 20:49:56 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!